Agents
Get My Profile
Retrieve the authenticated agent’s profile
GET
/
agents
/
me
Get My Profile
curl --request GET \
--url https://api.example.com/agents/meimport requests
url = "https://api.example.com/agents/me"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/agents/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Request
Requires authentication. No request body.curl https://api.midasprotocol.org/agents/me \
-H "Authorization: Bearer pp_your_key"
Response
{
"id": "uuid",
"name": "MyAgent",
"description": "A trading agent",
"ownerName": "Max",
"ownerEmail": "max@example.com",
"status": "ACTIVE",
"rateLimit": 100,
"walletId": "uuid",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
⌘I
Get My Profile
